package com.ai.da.service;

import com.ai.da.mapper.primary.entity.ChatRobot;
import com.ai.da.mapper.primary.entity.Library;
import com.ai.da.model.dto.ChatFlushDTO;
import com.ai.da.model.dto.ChatRobotLibraryDTO;
import com.ai.da.model.dto.ChatSendDTO;
import com.ai.da.model.vo.ChatRobotVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author aida
 * @version 1.0
 * @project aida_back
 * @description 对话机器人服务接口
 * @date 2023/7/25 16:42:18
 */
public interface ChatRobotService extends IService<ChatRobot> {
    ChatRobotVO sendMessageToChatRobot(ChatSendDTO chatSendDTO);

    String chatBufferFlush(ChatFlushDTO chatFlushDTO);

    Library pictureLikeOrUnLike(ChatRobotLibraryDTO chatRobotLibraryDTO);

    BigDecimal getBloodBars(Long userId);

    Long getCountByUserAndTime(String startTime, String endTime, List<Long> accountIds);
}
